BigDecimal
Date: 2016-06-24

java.math

## Class BigDecimal

- java.lang.Object
- - java.lang.Number
  - - java.math.BigDecimal

- All Implemented Interfaces:
    Serializable, Comparable

      public class BigDecimal
      extends Number
      implements Comparable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ROUND_CEILING`
    `static int` | `ROUND_DOWN`
    `static int` | `ROUND_FLOOR`
    `static int` | `ROUND_HALF_DOWN`
    `static int` | `ROUND_HALF_EVEN`
    `static int` | `ROUND_HALF_UP`
    `static int` | `ROUND_UNNECESSARY`
    `static int` | `ROUND_UP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BigDecimal(BigInteger var0)`
    `BigDecimal(BigInteger var0, int var1)`
    `BigDecimal(double var0)`
    `BigDecimal(String var0)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BigDecimal` | `abs()`
    `BigDecimal` | `add(BigDecimal var0)`
    `int` | `compareTo(BigDecimal var0)`
    `int` | `compareTo(Object var0)`
    `BigDecimal` | `divide(BigDecimal var0, int var1)`
    `BigDecimal` | `divide(BigDecimal var0, int var1, int var2)`
    `double` | `doubleValue()`
    `float` | `floatValue()`
    `int` | `intValue()`
    `long` | `longValue()`
    `BigDecimal` | `max(BigDecimal var0)`
    `BigDecimal` | `min(BigDecimal var0)`
    `BigDecimal` | `movePointLeft(int var0)`
    `BigDecimal` | `movePointRight(int var0)`
    `BigDecimal` | `multiply(BigDecimal var0)`
    `BigDecimal` | `negate()`
    `int` | `scale()`
    `BigDecimal` | `setScale(int var0)`
    `BigDecimal` | `setScale(int var0, int var1)`
    `int` | `signum()`
    `BigDecimal` | `subtract(BigDecimal var0)`
    `BigInteger` | `toBigInteger()`
    `BigInteger` | `unscaledValue()`
    `static BigDecimal` | `valueOf(long var0)`
    `static BigDecimal` | `valueOf(long var0, int var1)`

    - ### Methods inherited from class java.lang.Number

      `byteValue, shortValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ROUND_CEILING

          public static final int ROUND_CEILING

      See Also:
        Constant Field Values

    - #### ROUND_DOWN

          public static final int ROUND_DOWN

      See Also:
        Constant Field Values

    - #### ROUND_FLOOR

          public static final int ROUND_FLOOR

      See Also:
        Constant Field Values

    - #### ROUND_HALF_DOWN

          public static final int ROUND_HALF_DOWN

      See Also:
        Constant Field Values

    - #### ROUND_HALF_EVEN

          public static final int ROUND_HALF_EVEN

      See Also:
        Constant Field Values

    - #### ROUND_HALF_UP

          public static final int ROUND_HALF_UP

      See Also:
        Constant Field Values

    - #### ROUND_UNNECESSARY

          public static final int ROUND_UNNECESSARY

      See Also:
        Constant Field Values

    - #### ROUND_UP

          public static final int ROUND_UP

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BigDecimal

          public BigDecimal(double var0)

    - #### BigDecimal

          public BigDecimal(String var0)

    - #### BigDecimal

          public BigDecimal(BigInteger var0)

    - #### BigDecimal

          public BigDecimal(BigInteger var0,
                    int var1)

  - ### Method Detail

    - #### abs

          public BigDecimal abs()

    - #### add

          public BigDecimal add(BigDecimal var0)

    - #### compareTo

          public int compareTo(Object var0)

      Specified by:
        `compareTo` in interface `Comparable`

    - #### compareTo

          public int compareTo(BigDecimal var0)

    - #### divide

          public BigDecimal divide(BigDecimal var0,
                          int var1)

    - #### divide

          public BigDecimal divide(BigDecimal var0,
                          int var1,
                          int var2)

    - #### doubleValue

          public double doubleValue()

      Specified by:
        `doubleValue` in class `Number`

    - #### floatValue

          public float floatValue()

      Specified by:
        `floatValue` in class `Number`

    - #### intValue

          public int intValue()

      Specified by:
        `intValue` in class `Number`

    - #### longValue

          public long longValue()

      Specified by:
        `longValue` in class `Number`

    - #### max

          public BigDecimal max(BigDecimal var0)

    - #### min

          public BigDecimal min(BigDecimal var0)

    - #### movePointLeft

          public BigDecimal movePointLeft(int var0)

    - #### movePointRight

          public BigDecimal movePointRight(int var0)

    - #### multiply

          public BigDecimal multiply(BigDecimal var0)

    - #### negate

          public BigDecimal negate()

    - #### scale

          public int scale()

    - #### setScale

          public BigDecimal setScale(int var0)

    - #### setScale

          public BigDecimal setScale(int var0,
                            int var1)

    - #### signum

          public int signum()

    - #### subtract

          public BigDecimal subtract(BigDecimal var0)

    - #### toBigInteger

          public BigInteger toBigInteger()

    - #### unscaledValue

          public BigInteger unscaledValue()

    - #### valueOf

          public static BigDecimal valueOf(long var0)

    - #### valueOf

          public static BigDecimal valueOf(long var0,
                           int var1)